Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe.joiner
Class InnerJoin.JoinIterator

    java.lang.Object
      cascading.pipe.joiner.InnerJoin.JoinIterator

All Implemented Interfaces:
  Iterator<Tuple>

Direct Known Subclasses:
  OuterJoin.JoinIterator

Enclosing class:
  InnerJoin

    public static class InnerJoin.JoinIterator

extends Object
implements Iterator<Tuple>

Constructor Summary
`InnerJoin.JoinIterator(JoinerClosure closure)`

Method Summary
`protected Iterator` | `getIterator(int i)`
`boolean` | `hasNext()`
`protected void` | `init()`
`Tuple` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InnerJoin.JoinIterator

    public InnerJoin.JoinIterator(JoinerClosure closure)

Method Detail

### init

    protected void init()

### getIterator

    protected Iterator getIterator(int i)

### hasNext

    public final boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<Tuple>`

### next

    public Tuple next()

  Specified by:
    `next` in interface `Iterator<Tuple>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<Tuple>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.